* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: papayawhip;
    font-family: verdana;
    color: maroon;
    line-height: 1.5;
}

header {
    text-align: center;
    background-color:burlywood;
}

header h3 {
    margin-bottom: 5px;
}

hr {
    border: 2px solid brown;
}

.main-text {
    max-width: 800px;
    margin-left: 200px; margin-top: 50px;
}

h1 {
    font-family: "Anton", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 40px;
    letter-spacing: 2px;
    word-spacing: 5px;
}

h2 {
    font-family: "Anton", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
    margin-bottom: 8px;
    margin-top: 20px; 
    text-transform: uppercase;
    letter-spacing: 2px;
    word-spacing: 5px;
}

nav {
    text-align: center;
    margin-bottom: 20px;
    background-color:moccasin;
    padding-top: 10px;
    padding-bottom: 10px;
}

nav a {
    color: maroon;
    background-color: coral;
    text-decoration: none;
    border: 3px solid brown;
    padding: 5px;
    transition: .25s linear;
}

nav a:hover {
    background-color: bisque;
    color: brown;
    box-shadow: 2px 2px 1px coral;
}

a {
    display: inline-block;
    margin-right: 15px;
    color: crimson;
}

a:hover {
    color: brown;
}

ul {
    margin-left: 20px;
}

main.portfolio-main {
    margin-bottom: 7%;
    margin-left: 35px; 
    display: flex;
}

section {
    margin-right: 25px;
}

section.introduction p {
    text-align: justify;
}

.hobbies p {
    font-style: italic;
}

.labs h3 {
    margin-top: 15px;
}

.labs a {
    margin-top: 5px;
}

.main-images {
    min-width: 45%;
    max-width: 45%;
    max-height: 600;
    margin-left: 100px;
    position: relative;
    margin-right: 75px;
}

.main-images h2 {
    margin-left: 300px; margin-top: 60px;
}

.main-images img {
    aspect-ratio: 1;
    max-width: 50%;
    margin-left: 50px;
    position: absolute;
}

.main-images img:nth-child(2) {
    top: 125px;
    right: 110px;
    box-shadow: 10px 10px 0px coral;
}

.main-images img:nth-child(3) {
    bottom: 25px;
    right: 110px;
    box-shadow: 10px 10px 0px coral;
}





/* BEGIN REDMOND EXCLUSIVES */


div.redmond-street {
    max-width: 100%;
    max-height: 50%;
    margin-bottom: 25px;
}

div.redmond-street img {
    display: block;
    width: 75%;
    margin-left: 185px;
    margin-right: 200px;
}

section.hometown-introduction {
    box-shadow: 5px 6px 0px firebrick;
}

.hometown-introduction {
    background-color: indianred;
    padding-left: 25px; padding-right: 20px;
    padding-top: 1px; padding-bottom: 25px;
    margin-bottom: 15px;
    margin-left: 150px;
    margin-right: 200px;
}

.hometown-introduction p {
    margin-top: 5px;
    text-align: justify;
}

section.hometown-history {
    box-shadow: 5px 6px 0px rgb(184, 80, 11);
}

.hometown-history {
    background-color: coral;
    padding-left: 25px; padding-right: 20px;
    padding-top: 1px; padding-bottom: 25px;
    margin-bottom: 15px;
    margin-left: 150px;
    margin-right: 200px;
}

.hometown-history p {
    margin-top: 5px;
    text-align: justify;
}

.hometown-photos {
    margin-top: 25px;
    margin-left: 150px;
    margin-right: 200px;
}

img {
    max-width: 100%;
}

footer {
    background-color: burlywood;
    margin-bottom: 0;
    text-align: center;
    min-height: 100px;
    max-height: 120px;
}

footer p {
    padding-top: 20px;
}






/* BEGIN BETWEEN THE LINES */



header.btl-header{
    color:rgb(100, 22, 8);
    background-color: #FFFFE4;
}

body.btl{
    background-color: #FFFFE4;
    color: rgb(67, 13, 13);
}

.btl-header h1 {
    text-align: center;
    font-size: 50px;
    margin-top: auto;
    font-family: 'Times New Roman';
    font-weight: 550;
}

.btl-header h2 {
    font-size: 25px;
    font-family: 'Lucida Console';
    text-align: center;     
    margin-top: 0;
    font-weight: 600;
}

header.btl-header img {
    display: block;
    max-width: 50%;
    height: auto;
    margin: auto;
    border-radius: 5px;
    box-shadow: 7px 7px 1px saddlebrown;
}

.btl-images {
    position: relative;
    max-height: 500px;
}

.btl-images div {
    position: absolute;
    aspect-ratio: 1;
    width: 15%;
    border-radius: 50%;
    margin: 0;
}

.btl-images div:nth-child(1) {
    background-image: url(../images/btl-image1.jpg);
    background-size: cover;
    background-position: bottom;
    filter: sepia(25%);
    top: 125px; left: 50px;
}

.btl-images div:nth-child(2) {
    background-image: url(../images/btl-image2.jpg);
    background-size: 150%;
    filter: sepia(30%);
    top: 400px; left: 50px;
}

.btl-images div:nth-child(3) {
    background-image: url(../images/btl-image3.jpg);
    background-size: 115%;
    filter: sepia(75%);
    top: 125px; right: 50px;
}

.btl-images div:nth-child(4) {
    background-image: url(../images/btl-image4.jpg);
    background-size: 120%;
    background-position: 50% 65%;
    filter: sepia(55%) brightness(90%);
    top: 400px; right: 50px;
}

main.btl-main {
    text-align: justify;
    font-size: 24px;
    font-family: "Aref Ruqaa", verdana, serif;
    font-weight: 1000;
    font-style: normal;
    margin-left: 10em;
    margin-right: 10em;
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

nav.btl-nav {
    font-size: 22px;
    text-align: center;
    background-color: #FFFFE4;
    display: flex;
    gap: 6px;
    margin-top: 35px;
    margin-bottom: 25px;
}

nav a:hover {
    color: brown;
    background-color: blanchedalmond;
    box-shadow: 2px 2px 0px brown;
}

.btl-nav a {
    background-color: bisque;
    flex: 0 0 15%;
}

.btl-books {
    background-color:blanchedalmond;
}

.btl-books :not(:first-child) {
    padding-top: 5px;
    padding-left: 15px;
    padding-right: 10px;
    padding-bottom: 10px;
}

.btl-books h2 {
    font-family:'Times New Roman';
    font-size: 45px;
    margin-top: 5px;
    margin-bottom: 0.5em;
    text-align: left;
    font-weight: 550;
}

.ratings {
    font-size: 28px;
    display: inline-block;
}

.tomorrow3 h3 {
    display: inline-block;
    font-size: 30px;
    font-family: 'Times New Roman';
    padding-left: 15px;
}

.tomorrow3 h4 {
    font-size: 20px;
    font-family: verdana;
    margin-bottom: 0.5em;
}

.tomorrow3 p {
    margin-right: 3em;
}

a {
    display: inline-block;
    margin-right: 10px;
}

footer.btl-footer {
    text-align: center;
    background-color: bisque;
}





/* BEGIN HISTORY OF BOOKS */

body.hob {
    line-height: 1.5;
    background-color: #FFFFE4;
}

.hob-header {
    background-color: #FFFFE4;
}

.hob-header h1 {
    font-family: "Times New Roman";
    font-weight: bold;
    font-size: 50px;
}

.hob-header h2 {
    font-size: 25px;
    font-family: 'Lucida Console';
    margin-top: 0;
}

.hob-nav {
    background-color: #FFFFE4;
}

.hob-nav a {
    background-color: bisque;
}

.hob-hero {
    margin-left: 200px; margin-right: 200px;
    margin-bottom: 25px;
    min-width: 50%;
    min-height: 400px;
    background-image: url(../images/typewriter.jpg);
    background-size: 120%;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    border: 0px solid;
    border-radius: 8px;
}

.hob-hero p {
    color: blanchedalmond;
    font-size: 30px;
    font-family: "Aref Ruqaa", verdana, serif;
    font-weight: 1000;
    font-style: normal;
}

.hob-hero-text {
    background-color: rgba(94, 42, 42, 0.7);
    border-radius: 8px 8px 0 0;
    padding-left: 15px;
}

.wilde {
    position: absolute;
    left: 15px;
    bottom: 20px;
}

.hob-main {
    font-size: 24px;
    font-family: "Aref Ruqaa", verdana, serif;
    font-weight: 1000;
    font-style: normal;
    margin-left: 200px; margin-right: 175px;
}

.card-hr {
    border: 3.5px solid rgba(255, 115, 68, 0.501);
}

.hob-intro {
    background-color: moccasin;
    text-align: justify;
    margin-bottom: 25px;
    box-shadow: 5px 10px 0 rgba(173, 81, 35, 0.441);
}

.hob-intro h2 {
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    padding: 10px;
}

.hob-intro p {
    padding: 10px;
}

.hob-card {
    display: flex;
    margin-right: 55px;
}

.hob-section {
    background-color: moccasin;
    min-width: 50%;
    text-align: justify;
    box-shadow: 5px 10px 0 rgba(173, 81, 35, 0.441);
}

.hob-section p {
    padding: 10px;
}

.hob-section h2 {
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    padding: 10px;
}

.hob-img {
    margin-top: 50px;
}



/* BEGIN PHOTO ALBUM */

body.alb-body {
    font-family: verdana;
    background-color: rgb(148, 187, 131);
    color: rgb(255, 254, 203);
}

header.alb-header {
    background-color: rgb(42, 72, 42);
    margin-bottom: 16px;
}

header.alb-header h1 {
    font-family: verdana;
    text-transform: uppercase;
    font-weight: 700;
}

header.alb-header hr {
    border: 2px solid rgb(200, 255, 0);
}

main.alb-main {
    display: flex;
    padding: 5px;
    color: rgb(42, 39, 79);
}

main.alb-main section {
    min-width: 100px;
    min-height: 100px;
}

.thumbnails {
    flex: 0 0 360px;
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    gap: 5px;
    padding: 5px;
}

.thumbnails figure {
    flex: 0 0 150px;
    aspect-ratio: 1;
    background-size: cover;
}

.thumbnails figure:hover {
    cursor: pointer;
}

.figure1 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-red.jpeg);
}

.figure2 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-vulture.jpeg);
}

.figure3 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-park2.jpeg);
}

.figure4 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-hermit.jpeg);
    background-position: right;
}

.figure5 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-owl.jpeg);
}

.figure6 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-duck.jpeg);
}

.figure7 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-plane.jpeg);
}

.figure8 {
    background-image: url(../images/photo_album/thumbnails/alb-thumb-cat.jpeg);
}

#bigsection {
    flex: 1 1 auto;
    text-align: center;
}

#bigcaption {
    font-size: 2rem;
    width: 80%;
    margin: 0 auto;
    text-align: left;
    margin-bottom: 8px;
}

#imgdisplay {
    width: 95%;
}



/* BEGIN LAYOUTS */

.body-phl {
    background-color: #EEE;
    color: rgb(15, 0, 42);
}

.header-phl {
    background-color: #EEE;
    text-align: left;
    margin-bottom: 1vh;
    margin-top: 2vh;
    margin-left: 50vh;
    margin-right: 50vh;
}

.header-phl h1 {
    font-size: 8vh;
    font-weight: 650;
    letter-spacing: -0.2vh;
    color: #463176;
}

.main-phl {
    display: flex;
    position: relative;
    margin-left: 50vh;
    margin-right: 50vh;
}

.text-phl {
    min-height: 45vh;
    min-width: 75vh;
    font-size: 3.5vh;
}

.portrait-phl {
    min-width: 25vh;
    max-height: 25vh;
    margin-left: 5vh;
    background-image: url(../images/barnowl.jpg);
    background-size: 120%;
    background-position: center;
}

figcaption h3 {
    font-size: 2vh;
    position: absolute;
    top: 25vh;
    right: 3vh;
}

figcaption p {
    font-size: 2vh;
    position: absolute;
    top: 28vh;
    right: 0.5vh;
}

.images-phl {
    min-height: 100vh;
    margin-left: 40vh;
    margin-right: 40vh;
    display: flex;
    flex-flow: row wrap;
    gap: 2.5vh;
}

.images-phl div {
    background-color: rgb(0, 0, 255);
    min-width: 65.55vh;
}


.images-phl div:nth-child(1) {
    background-image: url(../images/bird.jpg);
    background-size: cover;
    background-position: center;
}

.images-phl div:nth-child(2) {
    background-image: url(../images/flamingo.jpg);
    background-size: cover;
    background-position: center;
}

.images-phl div:nth-child(3) {
    background-image: url(../images/toucan.jpg);
    background-size: cover;
    background-position: center;
}

.images-phl div:nth-child(4) {
    background-image: url(../images/twobirds.jpg);
    background-size: cover;
    background-position: center;
}

.body-thl {
    background-color: #EEE;
    color:rgb(15, 0, 42);
    font-family: verdana;
    position: relative;
}

.header-thl {
    background-color: #EEE;
    margin-left: 70vh;
    margin-right: 45vh;
    margin-bottom: 2vh;
    margin-top: 3.5vh;
}

.header-thl h1 {
    text-align: left;
    font-weight: 700;
    font-size: 8vh;
    line-height: 1;
    color: #463176;
    word-spacing: 0.1vh;
    letter-spacing: -0.2vh;
}

.main-thl {
    min-height: 120vh;
    margin-left: 70vh;
    margin-right: 45vh;
}

.first-thl {
    min-height: 40vh;
    margin-right: 5vh;
    margin-bottom: 2vh;
    font-size: 3.5vh;
}

.flexbox-thl {
    margin-right: 0vh;
    min-height: 120vh;
    display: flex;
    text-align: justify;
    gap: 3vh;
}

.flexbox-thl section {
    margin-top: -2vh;
    min-height: 120vh;
    min-width: 47.55vh;
    font-size: 2.7vh;
    margin-right: 0;
}

.flexbox-thl section:nth-child(2) {
    margin-top: -4vh;
}

.weirdbox-thl section:nth-child(1) {
    min-height: 100vh;
    max-height: 100vh;
    margin-bottom: 17.9vh;
    text-indent: 2.5vh;
}

.weirdbox-thl section:nth-child(2) {
    min-height: 32vh;
    max-height: 32vh;
}

.quote-thl {
    position: absolute;
    min-width: 80vh;
    min-height: 18vh;
    max-width: 80vh;
    max-height: 18vh;
    bottom: 41.5vh;
    left: 37.5vh;
}

.quote-thl h3 {
    font-size: 4vh;
    line-height: 1.3;
    margin-bottom: 2vh;
    color: #396f8e;
}

.quote-thl p {
    text-transform: uppercase;
    font-size: 2.5vh;
    color: #396f8e;
    font-weight: 510;
}

.footer-thl {
    background-color: #EEE;
    font-size: 2.5vh;
    margin-left: 37vh;
    margin-right: 96.15vh;
    margin-bottom: 2vh;
    min-height: 7vh;
    text-transform: uppercase;
    font-weight: 510;
    color: rgb(103, 103, 103);
}